---
title: "Confirm Order"
slug: "confirms-an-order"
updated: 2025-06-04T18:54:42Z
published: 2025-06-04T18:54:42Z
canonical: "developer.upgrade.com/confirms-an-order"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.upgrade.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Confirm Order
Put/v1/orders/{orderId}/confirmation
Used to confirm the order to Flex Pay, including their confirmation number. The order is confirmed in their system and they provide us with their confirmation number.
SecurityHTTPType bearer
Path parametersorderIdstringRequired
Order ID
Body parametersobject
Request confirmation.
confirmationIdstring Required
Confirmation ID
Responses204
No Content
400
Bad Request
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring Examplefield required
statusCodeinteger Example400
paramstring Examplebody.integrationId
401
Unauthorized
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring ExampleUnauthorized
statusCodeinteger Example401
403
Access Denied
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring ExampleAccess Denied
statusCodeinteger Example403
404
Order Not Found
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring ExampleOrder with ID: 123 not found
statusCodeinteger Example404
405
Method Not Allowed
object codeNamestring ExampleINVALID_REQUEST_ERROR
messagestring ExampleMethod Not Allowed
statusCodeinteger Example405
408
Request Timeout
object codeNamestring ExampleAPI_TIMEOUT
messagestring ExampleRequest Timeout
statusCodeinteger Example408
428
Precondition Required
object codeNamestring ExampleORDER_NOT_COMPLETE
messagestring ExampleOrder not complete
statusCodeinteger Example428
500
Internal Server Error
object codeNamestring ExampleAPI_ERROR
messagestring ExampleInternal Server Error
statusCodeinteger Example500